FolensHIVE System Requirements for Teachers

You can use FolensHIVE on any supported device. Below are the minimum and recommended system requirements required by the FolensHIVE (www.folenshive.ie) website.

 

FolensHIVE Website System Requirements:

You can also use FolensHIVE via an internet browser on a supported device, via www.folenshive.ie. Below are the system requirements for this:

Operating system Microsoft Edge Chromium Mozilla Firefox
(latest version)
Google Chrome
(latest version)
Safari
(latest version)
Windows 10 and above tick.png tick.png tick.png  
Mac 10.11 and above       tick.png
iPadOS 11 and above (iPad only) *       tick.png
Android 9 and above (Tablet only) *     tick.png  

* Mobile phone devices are not supported by the FolensHIVE website on internet browsers.

For information on installing FolensHIVE, click here. As always, contact us here if you have any questions at all.

Have more questions? Submit a request

Comments

Powered by Zendesk